Summary:	A SIP masquerading proxy with RTP support
Name:		siproxd
Version:	0.5.12
Release:	1
License:	GPL
Group:		System Environment/Daemons
URL:		http://siproxd.sourceforge.net/
Source0:	%{name}-%{version}.tar.gz
Source1:	siproxd.init
Requires:	libosip2 >= 2.0.9
BuildRequires:	libosip2-devel >= 2.0.9
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot-%(%{__id_u} -n)

%description
Siprox is an proxy/masquerading daemon for the SIP protocol.
It handles registrations of SIP clients on a private IP network
and performs rewriting of the SIP message bodies to make SIP
connections possible via an masquerading firewall.
It allows SIP clients (like kphone, linphone) to work behind
an IP masquerading firewall or router.


%prep
%setup -q


%build
%configure
%{__make}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_localstatedir}/lib/%{name}
install -d %{buildroot}%{_localstatedir}/run/%{name}

install -m 755 %{SOURCE1}  %{buildroot}%{_initrddir}/%{name}
touch %{buildroot}%{_localstatedir}/lib/%{name}/siproxd_registrations

# fix config
install -m0644 doc/siproxd.conf.example %{buildroot}%{_sysconfdir}/siproxd.conf
install -m0644 doc/siproxd_passwd.cfg %{buildroot}%{_sysconfdir}/siproxd_passwd.cfg
sed -i -e 's!^user = .*!user = %{name}!;' %{buildroot}%{_sysconfdir}/siproxd.conf

# clean unneeded
rm doc/Makefile*
rm %{buildroot}%{_sysconfdir}/siproxd.conf.example


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%pre
if [ -z "`/usr/bin/id -g siproxd 2>/dev/null`" ]; then
	/usr/sbin/groupadd -r -f siproxd 2>&1 || :
fi
if [ -z "`/usr/bin/id -u siproxd 2>/dev/null`" ]; then
	/usr/sbin/useradd -r -d %{_localstatedir}/lib/siproxd \
	-s /sbin/nologin -c "Siproxd user" -g siproxd siproxd 2>&1 || :
fi


%post
/sbin/chkconfig --add siproxd
# Transition
/usr/sbin/usermod -d /var/lib/siproxd siproxd


%preun
if [ $1 -eq 0 ]; then
	/sbin/service siproxd stop > /dev/null 2>&1 || :
	/sbin/chkconfig --del siproxd
fi


%postun
if [ $1 -ge 1 ]; then
	/sbin/service siproxd condrestart > /dev/null 2>&1 || :
   else
	/usr/sbin/userdel -r siproxd > /dev/null 2>&1 || :
fi


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README RELNOTES TODO
%doc doc/*
%attr(0755,root,root) %{_initrddir}/%{name}
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/%{name}_passwd.cfg
%attr(0755,root,root) %{_sbindir}/%{name}
%attr(0755,%{name},%{name}) %dir %{_localstatedir}/lib/%{name}
%attr(0755,%{name},%{name}) %dir %{_localstatedir}/run/%{name}
%attr(0644,%{name},%{name}) %ghost %{_localstatedir}/lib/%{name}/siproxd_registrations


%changelog
* Mon May 15 2006 Petr Kritof <Petr|Kristof_CZ> 0.5.12-1
- Update to 0.5.12

* Sun Mar 26 2006 Petr Kritof <Petr|Kristof_CZ> 0.5.11d-3
- Rebuild on FC-5

* Sun Feb 26 2006 Petr Kritof <Petr|Kristof_CZ> 0.5.11d-2
- Use directory /var/lib/siproxd for registrations

* Mon Feb 9 2006 Petr Kritof <Petr|Kristof_CZ> 0.5.11d-1
- Update to 0.5.11d

* Sat Dec 17 2005 Petr Kritof <Petr|Kristof_CZ> 0.5.11-1
- Based on MDK package
- Initial release

